Bug 439939 - No xserver with install dvd or at first boot.
No xserver with install dvd or at first boot.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 21:43 EDT by Ben Popatopalous
Modified: 2009-01-09 02:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:45:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
booted without /etc/X11/xorg.conf (31.86 KB, text/plain)
2008-06-13 16:18 EDT, Ben Popatopalous
no flags Details
with 'nv' driver. (610 bytes, application/octet-stream)
2008-06-13 17:16 EDT, Ben Popatopalous
no flags Details
using 'nv' driver (29.04 KB, application/octet-stream)
2008-06-13 17:18 EDT, Ben Popatopalous
no flags Details

  None (edit)
Description Ben Popatopalous 2008-03-31 21:43:30 EDT
Description of problem: No xserver when booting into install DVD or on 1st boot
into fresh install.


Version-Release number of selected component (if applicable):
xorg/x11-drv-nv-2.1.6-1.fc8.x86_64-XorgX11


How reproducible: Set video device driver to 'nv' in '/etc/X11/xorg.conf' and
normal boot. Happens every time. Also try to boot install DVD and no xserver.


Steps to Reproduce:
1. Have on board nVidia Corporation C51PV [GeForce 6150]
2. Set video device driver to 'nv' in '/etc/X11/xorg.conf'
3. Normal boot
0r
4. Boot install DVD
  
Actual results: On booting install DVD I have no xserver. Same on 1st boot of
fresh install. 1st boot starts in run level 3. Startx results in alternating
bands of color. >Ctrl>Alt>F2-F6 also has alternating bands of black and white
and are unusable.



Expected results: To have working xserver with install DVD or live CD. After
install boot into run level 5 with working xserver and be able to set up user
accounts and so forth.


Additional info:
# lspci -v
...
00:05.0 VGA compatible controller: nVidia Corporation C51PV [GeForce 6150] (rev
a2) (prog-if 00 [VGA controller])
        Subsystem: ASUSTeK Computer Inc. A8N-VM CSM
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 16
        Memory at fb000000 (32-bit, non-prefetchable) [size=16M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Memory at fc000000 (64-bit, non-prefetchable) [size=16M]
        [virtual] Expansion ROM at f8000000 [disabled] [size=128K]
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Kernel driver in use: nvidia
        Kernel modules: nvidia, nvidiafb
...

Obviously I now have the proprietary nVidia driver installed [yum install
kmod-nvidia]. But in Fedora to use install DVD and initially boot into fresh
install is tricky and difficult at first if you DO have nVidia graphics card and
the 'nv' driver doesn't work. FWIW the 'nv' driver does work on my box in
Mandriva 2008.1 Free x86_64. I'll check and see if it works in Mandriva 2008.0
PWP x86_64 as well. 

Let me know if any other info would be helpful.
Comment 1 Matěj Cepl 2008-04-01 17:55:13 EDT
Thanks for the report. We are sorry that we cannot help you with your problem,
but we are not able to support binary-only drivers. If you would be able to
reproduce this issue using only open source software, please, reopen this bug
with the additional information, but in meantime I have no choice than to close
this bug as CANTFIX (because we really cannot fix it).

For users who are experiencing problems installing, configuring, or using the
unsupported 3rd party proprietary "nvidia" video driver, Nvidia provides
indirect customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and passes them on to
Nvidia engineers for investigation.  Once they've isolated a particular problem,
it is often fixed in a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

    http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums, others who may have
experienced the particular problem may be able to assist.  If there is a real
bug occuring, Nvidia will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system releases that they
officially support.

While Red Hat does not support the proprietary nvidia driver, users requiring
technical support may also find the various X.Org, XFree86, and Red Hat mailing
lists helpful in finding assistance:

X.Org mailing lists:
    http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
    http://www.xfree86.org/sos/lists.html

Red Hat mailing lists:
    https://listman.redhat.com/mailman/listinfo
Comment 2 Ben Popatopalous 2008-04-01 21:03:08 EDT
I am confused. Nothing in my report has to do with the 'nvidia' driver. The
problem is with the 'nv' driver which the install DVD uses by default on my
system. The current driver package is
'xorg/x11-drv-nv-2.1.6-1.fc8.x86_64-XorgX11' which is a Fedora package in Fedora
repos and which on my system does not work. 

Are you saying that to fix 'nv' driver in Fedora I need to file a bug report
with X.Org or XFree86?

If Fedora/Red Hat don't support the 'nv' driver then shouldn't the install DVD
be configured to use vesa instead?

Comment 3 Matěj Cepl 2008-04-03 02:34:54 EDT
No, what I was saying is that I was afraid you wouldn't be willing to fullfil
the following:

Please follow the instructions on
http://fedoraproject.org/wiki/Xorg/3rdPartyVideoDrivers to clean your system
from nVidia modules and then attach your X server config file
(/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug
report as individual uncompressed file attachments using the bugzilla file
attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

Note, that we may need more information in the future and then we would need
these information always only from a disinfected computer.

Thanks a lot.
Comment 4 Matěj Cepl 2008-06-12 10:06:56 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Ben Popatopalous 2008-06-13 12:45:20 EDT
Sorry for not getting back sooner. Been swamped by that pesky thing work. I'm
going to do a fresh install of Fedora 9 on an empty partition and report with:

1. original /etc/X11/xorg.conf
2. /var/log/Xorg.*.log from 1st boot
3. anything else you may ask for

Hope this will do what we need.
Comment 6 Ben Popatopalous 2008-06-13 16:18:01 EDT
Created attachment 309293 [details]
booted without /etc/X11/xorg.conf
Comment 7 Ben Popatopalous 2008-06-13 16:26:30 EDT
Above attachment is result of:

1. Fresh install of Fedora 9.
2. 'mv /etc/X11/xorg.conf /etc/X11/xorg.conf.backup'
3. reboot

Nothing visual during boot [normal splash not visiable] so I logged in blind at
appropriate point and got Gnome login sound and gray, not black, screen. Virtual
console ie. >Alt>F2 had black and white lines and was also unviewable. Next I
used computer rest button to restart and:

4. Booted into another partition
5. chrooted into new Fedora 9 partition to retrieve /var/log/Xorg.0.log contents
of which are in attachment in comment # 6.

Hope this helps.
Comment 8 Ben Popatopalous 2008-06-13 16:53:22 EDT
Correction. I was viewing a lcd monitor with picture window wide open on very
sunny day. Screen is black NOT gray. Sorry about that.
Comment 9 Matěj Cepl 2008-06-13 16:56:51 EDT
You are my hero, thanks a lot!
Comment 10 Ben Popatopalous 2008-06-13 17:16:38 EDT
Created attachment 309301 [details]
with 'nv' driver.

Ok. At the risk of being redundant here's more data. This is the
'/etc/X11/xorg.conf' that results from these steps:

1. Fresh install of Fedora 9 with boot option 'xdriver=vesa'. This allows me to
use graphical installer as well as to have an installation with working X on
first boot. This creates an 'xorg.conf' with Device Driver 'vesa'.
2. I changed Device Driver to 'nv'.
3. Rebooted. And again no visible splash screen during boot and so I login
blind. Get Gnome login sound and black screen. Virtual console ie. >Alt>F2 is
again black and white lines and unviewable.
4. Use reset button on computer to restart and log into another partition.
5. Mount new Fedora 9 partition and chroot into it to provide contents of
/etc/X11/xorg.conf' and '/var/log/Xorg.0.log'. '/var/log/Xorg.0.log' attachment
will be provided in next comment.
Comment 11 Ben Popatopalous 2008-06-13 17:18:48 EDT
Created attachment 309303 [details]
using 'nv' driver

Results of booting with device driver in '/etc/X11/xorg.conf' set to 'nv'.
Comment 12 Ben Popatopalous 2008-06-13 17:21:05 EDT
Comment on attachment 309303 [details]
using 'nv' driver

FWIW I currently have a Fedora 9 partition that has no 3rd party apps. No
nvidia. Everything is from Fedora installer or repositories. Just to see if
this issue can be resolved.
Comment 13 Bug Zapper 2008-11-26 05:20:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-09 02:45:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.